Skip to main content
GET
Returns tracking data for a specific employee in a warehouse.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

warehouseId
string<uuid>
required

Warehouse to scope the query.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

userId
integer<int32>
required

Employee user ID (kBenutzer).

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

lastActivityTimestampAfter
string<date-time>

Only include items whose LastActivityTimestamp is after (greater than) this value.

lastActivityTimestampBefore
string<date-time>

Only include items whose LastActivityTimestamp is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
items
object[]
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>